Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.exception
Class ExtCertPathBuilderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.cert.CertPathBuilderException
                      org.bouncycastle.jce.exception.ExtCertPathBuilderException

All Implemented Interfaces:
  java.io.Serializable, ExtException

    public class ExtCertPathBuilderException

extends java.security.cert.CertPathBuilderException
implements ExtException

See Also:
  Serialized Form

Constructor Summary
`ExtCertPathBuilderException(java.lang.String message, java.lang.Throwable cause)`
`ExtCertPathBuilderException(java.lang.String msg, java.lang.Throwable cause, java.security.cert.CertPath certPath, int index)`

Method Summary
`java.lang.Throwable` `getCause()` Returns the cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtCertPathBuilderException

    public ExtCertPathBuilderException(java.lang.String message,
                                       java.lang.Throwable cause)

### ExtCertPathBuilderException

    public ExtCertPathBuilderException(java.lang.String msg,
                                       java.lang.Throwable cause,
                                       java.security.cert.CertPath certPath,
                                       int index)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Description copied from interface: `ExtException`
  Returns the cause of the exception.

  Specified by:
    `getCause` in interface `ExtException`
  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    The cause of the exception.

Bouncy Castle Cryptography Library 1.45